Debian Bug report logs - #691502
ITP: trace-cmd -- Front-end tool for ftrace

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Ying-Chun Liu (PaulLiu)" <paul.liu@canonical.com>

Date: Fri, 26 Oct 2012 12:51:02 UTC

Owned by: Seth Forshee <seth.forshee@canonical.com>

Severity: wishlist

Fixed in version trace-cmd/2.2.1-1

Done: Seth Forshee <seth.forshee@canonical.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691502; Package wnpp. (Fri, 26 Oct 2012 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paul.liu@canonical.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 26 Oct 2012 12:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paul.liu@canonical.com>
To: submit@bugs.debian.org
Subject: RFP: trace-cmd -- Utility for retrieving and analyzing function tracing in the kernel
Date: Fri, 26 Oct 2012 14:47:20 +0200
Package: wnpp
Severity: wishlist

* Package name    : trace-cmd
  Version         : 2.0.1
  Upstream Author : Steven Rostedt <rostedt@goodmis.org>
* URL             : 
git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/trace-cmd.git
* License         : GPL-2
  Programming Lang: C, Python
  Description     : Utility for retrieving and analyzing function 
tracing in the kernel
 This package contains the trace-cmd utility. Trace-cmd makes it easy to
 retrieve and analyze function traces from the Linux kernel while it is
 running.

--
Note:
Currently Eric Y. Miao is trying to packaging this.

git://github.com/ycmiao/trace-cmd

PPA:
ppa:eric.y.miao/testing





Changed Bug title to 'ITP: trace-cmd -- Front-end tool for ftrace' from 'RFP: trace-cmd -- Utility for retrieving and analyzing function tracing in the kernel' Request was from Seth Forshee <seth.forshee@canonical.com> to control@bugs.debian.org. (Thu, 24 Oct 2013 19:57:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 26 Oct 2013 07:06:10 GMT) Full text and rfc822 format available.

Owner recorded as Seth Forshee <seth.forshee@canonical.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 15:18:12 GMT) Full text and rfc822 format available.

Reply sent to Seth Forshee <seth.forshee@canonical.com>:
You have taken responsibility. (Fri, 29 Nov 2013 16:03:29 GMT) Full text and rfc822 format available.

Notification sent to "Ying-Chun Liu (PaulLiu)" <paul.liu@canonical.com>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 16:03:29 GMT) Full text and rfc822 format available.

Message #16 received at 691502-close@bugs.debian.org (full text, mbox):

From: Seth Forshee <seth.forshee@canonical.com>
To: 691502-close@bugs.debian.org
Subject: Bug#691502: fixed in trace-cmd 2.2.1-1
Date: Fri, 29 Nov 2013 16:00:24 +0000
Source: trace-cmd
Source-Version: 2.2.1-1

We believe that the bug you reported is fixed in the latest version of
trace-cmd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691502@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Seth Forshee <seth.forshee@canonical.com> (supplier of updated trace-cmd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 23 Oct 2013 11:11:32 -0500
Source: trace-cmd
Binary: trace-cmd kernelshark
Architecture: source amd64
Version: 2.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Changed-By: Seth Forshee <seth.forshee@canonical.com>
Description: 
 kernelshark - Utilities for graphically analyzing function tracing in the kerne
 trace-cmd  - Utility for retrieving and analyzing function tracing in the kern
Closes: 691502
Changes: 
 trace-cmd (2.2.1-1) unstable; urgency=low
 .
   * Update to 2.2.1 upstream release
   * debian/patches/0001-trace-cmd-listen-Remove-use-of-sighandler_t.patch:
     Fix build error due to sigaction_t being undefined
   * 0002-build-Install-data-files-without-execute-permissions.patch: Fix
     lintian executable-not-elf-or-script warnings
   * debian/patches/0003-Add-missing-libgen.h-includes.patch: Fix segfaults
     caused by missing libgen.h includes
   * debian/patches/0004-Documentation-Add-kernelshark.1.txt.patch: Add man
     page for kernelshark
   * Update kernelshark.install to include kernelshark docs
   * debian/patches/0005-Makefile-Use-CFLAGS-and-LDFLAGS-when-building-python.patch:
     Fix lintian hardening-no-relro warnings
   * Bump standards version to 3.9.4
   * Add myself and Kamal Mostafa as uploaders
   * First Debian release (Closes: #691502)
Checksums-Sha1: 
 f176c6d95f6ea3de0a82c0c353f6bb69d54cdcbc 2092 trace-cmd_2.2.1-1.dsc
 0085a435e9735dbe86d5f1a86dc71d6fa227f2d0 1774126 trace-cmd_2.2.1.orig.tar.gz
 d337f158c5645589dacc732a7108c8399ebcb682 5984 trace-cmd_2.2.1-1.debian.tar.gz
 c37fcd351d0abe98f74fda26f76c1424ed2c0d0f 208430 trace-cmd_2.2.1-1_amd64.deb
 0fb48c2129462c693eeb765ca6d686306b3a3a3f 1497350 kernelshark_2.2.1-1_amd64.deb
Checksums-Sha256: 
 b022c88d8eecc3a25f4a06109b16b287985e16f39163a8c7af3977785e1801c6 2092 trace-cmd_2.2.1-1.dsc
 6c7a60d346507a556a09e0183e8c34708eff16f8d474e9bddc442b390ce2e44e 1774126 trace-cmd_2.2.1.orig.tar.gz
 7d0fac5a0ee0503685a7be70c3bb5c4d14faa2df9c864fbed0a0446455545cbd 5984 trace-cmd_2.2.1-1.debian.tar.gz
 9538ce2eb63f2685071163915e9253aa3bc46a92e5b3db6aec9fe971c78f863b 208430 trace-cmd_2.2.1-1_amd64.deb
 55a0cfb96d08d7e37bea3422c3e455969b749ff44aea0193876a4873b3757efe 1497350 kernelshark_2.2.1-1_amd64.deb
Files: 
 e027f5c2dcd6e3d26e997eb973ca5d03 2092 devel optional trace-cmd_2.2.1-1.dsc
 833897679d41aa855dfb83996760fae1 1774126 devel optional trace-cmd_2.2.1.orig.tar.gz
 73c08405a4f845b260e25f191f3a631c 5984 devel optional trace-cmd_2.2.1-1.debian.tar.gz
 1d1418cfb8a722cfa64b5b52f07eb7de 208430 devel optional trace-cmd_2.2.1-1_amd64.deb
 95966cd54de9362c485c073a8f046e30 1497350 devel optional kernelshark_2.2.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSatDYAAoJEHqwmdxYrXhZ9igP/2cuu7xkDPXhCAZtP4eCoLF6
YD1TIUqbbZHwqoXKFBM+yurHePS8vH9v9ybHvmwB4V4iBo+jT1lbf3lI5iNOly/o
bZCXl2yubwLX4mtWGRUaOoqGT1XAZrMJ78QfpFEa9ocHyX4gWlCid91eB1mn0Kqj
7yoOGtgl0Lt8qJoHAEfuQaJbIGaXwqnhdGMYXxmnn/A8Clto2nH7v76t1ndHPFTJ
I4Afz1Svh+WyXBnfUH4LCRD4yZmns9lrzjWqs6dxMJB2soO7AygT2w/NocS+Pg75
V2i+2VHuTvC0WEDoFIeA6nqEFRfRYYweBi2eHybp0LbE42K8T53DCw1teon9IhuL
8vHXFKZXM8LNREO3EjB4frQ9GHcetEuAGVTwH3R3oOqrnfg/VAtgaJzkdvsohVEG
uTNbl4JSabL3jJq3WUO/RgrjJlP7X5+wQcIwLV1Gqo1N4SmZf3s0z743OXnQtf8W
SqdBNc84Ytv7OTbq/ynkp/hayUKDvVDRs1fRwtDKLRV+2PXqBCIiGLSgEl1rpevN
UOiZ7FOMMXENWxJZN4CswuGF7DvZrTLizB0tI1ec6bIbOxULSYQn7Hxbpk+BnXGN
DxacSlJlyivyuLW0mAPo3af6epnRtsDxcbUX4QYz5dCFxrKJOXPPb8/QZlKipd1a
1BoGNpVgGEY0sMIaeDoY
=GF1i
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:25:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:21:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.